Please do not post a support request without first reading and following the advice in https://retropie.org.uk/forum/topic/3/read-this-first

RetroPie Setup error on Debian Jessie



  • Hi,

    I get this error when Setup on my Debian Jessie system:

    Error running 'git clone --recursive --depth 1 --branch v1.5.0 https://github.com/libretro/RetroArch.git /home/RetroPie-Setup/tmp/build/retroarch' - returned 128

    What does it mean?

    Thanks!


  • administrators

    @John-Smith3 Please do not post a support request without first reading and following the advice in https://retropie.org.uk/forum/topic/3/read-this-first

    Internet connectivity issue ? Did you try again ?



  • @John-Smith3
    next screen:
    retroarch patch /home/RetroPie-Setup/scriptmodules/emulators/retroarch/0 2_disable_search.diff failed to apply
    next screen:
    Please see /home/RetroPie-Setup/logs/rps_2017-05-31_222637.log.gz for more in depth information regarding the errors.

    This log shows:
    Error running 'git clone --recursive --depth 1 --branch v1.5.0 https://github.com/libretro/RetroArch.git /home/RetroPi
    e-Setup/tmp/build/retroarch' - returned 128
    retroarch patch /home/RetroPie-Setup/scriptmodules/emulators/retroarch/01_hotkey_hack.diff failed to apply
    retroarch patch /home/RetroPie-Setup/scriptmodules/emulators/retroarch/02_disable_search.diff failed to apply


  • administrators

    @John-Smith3 Yes. Because the download of the sourcecode failed. Probably due to a network connectivity problem. Please read the link I provided also and give me some more details of your set-up.



  • Thanks BuZz,

    I am giving it a third try now.



  • Now I get another bug:
    Could not successfully build retroarch - RetroArch -frontend to the libretro emulator cores - required by all lr-* emulators
    (/home/RetroPie-Setup/tmp/build/retroarch/retroarch not found).

    Can not find anything meaningfull in the log

    I have a setup exactly like documented on the RetroPie site, nothing special, except Debian in stead of Ubuntu.
    CPU is quad core AMD64 on 4,4 GHz, 8GB RAM, 34 GB free on the SSD, NVidia GTX 1050 videocard with latest driver.



  • This last bug repeated. During setup I stopped all downloading from other programs.
    It did not help.

    The last log ended as follows:

    = = = = = = = = = = = = = = = = = = = = =
    Configuring 'lr-vecx' : Vectrex emulator - vecx port for libretro
    = = = = = = = = = = = = = = = = = = = = =

    ‘/opt/retropie/libretrocores/lr-vecx/fast.bin’ -> ‘/home/arne/RetroPie/BIOS/fast.bin’
    ‘/opt/retropie/libretrocores/lr-vecx/skip.bin’ -> ‘/home/arne/RetroPie/BIOS/skip.bin’
    ‘/opt/retropie/libretrocores/lr-vecx/system.bin’ -> ‘/home/arne/RetroPie/BIOS/system.bin’
    /home/RetroPie-Setup

    Log ended at: Thu Jun 1 01:05:39 CEST 2017
    Total running time: 0 hours, 18 mins, 2 secs

    I have a self compiled kernel from stock Debian source, 4.9.25.
    Window manager is fluxbox.

    Could it be a server is overloaded/down?



  • I did a full uninstall, followed with a fresh install.
    I am running out of ideas.
    I recently compiled a kernel on this machine, so I exclude a hardware problem..

    Retroarch is uninstallable on this system it seems :(

    Any ideas welcome!

    Thanks



  • I tried to compile from the git download,
    configure runs without problem

    #make 
    gives following error(s):
    ===================================================
    In file included from ./libretro-common/include/glsym/rglgen.h:32:0,
                     from ./libretro-common/include/glsym/glsym.h:26,
                     from gfx/common/../drivers/gl_symlinks.h:24,
                     from gfx/common/gl_common.h:35,
                     from gfx/video_driver.c:47:
    ./libretro-common/include/glsym/rglgen_headers.h:27:21: fatal error: EGL/egl.h: No such file or directory
     #include <EGL/egl.h>
                         ^
    compilation terminated.
    Makefile:155: recipe for target 'obj-unix/gfx/video_driver.o' failed
    make: *** [obj-unix/gfx/video_driver.o] Error 1
    ================================================
    Perhaps it is related.
    I did however, as stated: 
    
    

    sudo apt-get install -y make git-core curl g++ pkg-config libglu1-mesa-dev freeglut3-dev mesa-common-dev libsdl1.2-dev libsdl-image1.2-dev libsdl-mixer1.2-dev libsdl-ttf2.0-dev
    ``

    apt-get install libegl1-mesa-dev libgles2-mesa-dev
    

    seems also needed, as is:

    ln -s /usr/lib/x86_64-linux-gnu/mesa/libGL.so.1 /usr/lib/libGL.so
    

    I made some steps, but still not working:

    #make 
    gives:
    /usr/bin/ld: cannot find -lEGL
    collect2: error: ld returned 1 exit status
    Makefile:151: recipe for target 'retroarch' failed
    make: *** [retroarch] Error 1
    ==============================
    

    This is what I have:

    /usr/include/EGL
    /usr/include/EGL/egl.h
    /usr/include/EGL/eglext.h
    /usr/include/EGL/eglextchromium.h
    /usr/include/EGL/eglmesaext.h
    /usr/include/EGL/eglplatform.h
    /usr/lib/x86_64-linux-gnu/libEGL.so
    /usr/lib/x86_64-linux-gnu/libEGL.so.1
    /usr/lib/x86_64-linux-gnu/libEGL_nvidia.so.0
    /usr/lib/x86_64-linux-gnu/libEGL_nvidia.so.381.22
    /usr/lib32/libEGL.so
    /usr/lib32/libEGL.so.1
    /usr/lib32/libEGL_nvidia.so.0
    /usr/lib32/libEGL_nvidia.so.381.22
    ==========================
    I tried 
    LD_LIBRARY_PATH=/usr/include/EGL
    LD_LIBRARY_PATH=/usr/lib/x86_64-linux-gnu/
    LD_LIBRARY_PATH=/usr/lib32/
    

    Didn't make any difference

    I have /usr/include/EGL/egl.h


  • administrators

    Try and install RetroArch from Packages -> Core Packages then post a full lost via a pastebin site (logs are stored in ~/RetroPie-Setup/logs

    Your earlier error was network connectivity related most likely and could have been a temporarily issue. (Not related to our servers as the source is downloaded from github).

    if posting logs directly to the forum, please wrap in a code block - http://commonmark.org/help/(I will edit your previous post).

    I would also recommend you try and use Ubuntu Linux as that is our most tested x86/x64_64 target.



  • @BuZz said in RetroPie Setup error on Debian Jessie:

    try and use Ubuntu Linux

    try and use Ubuntu Linux?
    No thanks, I use Debian > 10 years
    The log is about 8 MB:
    http://82.169.230.220/rps_2017-06-01_004737.log


Log in to reply
 

Contributions to the project are always appreciated, so if you would like to support us with a donation you can do so here.

Hosting provided by Mythic-Beasts. See the Hosting Information page for more information.